#
# spec file for package ethtool
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ethtool
Version:        4.5
Release:        2.5
Summary:        Examine and Tune Ethernet-Based Network Interfaces
License:        GPL-2.0
Group:          Productivity/Networking/Diagnostic
Url:            http://kernel.org/pub/software/network/ethtool/

#Git-Clone:	git://git.kernel.org/pub/scm/network/ethtool/ethtool
Source:         http://kernel.org/pub/software/network/ethtool/%{name}-%{version}.tar.xz
Source2:        http://kernel.org/pub/software/network/ethtool/%{name}-%{version}.tar.sign
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  xz

%description
Ethtool is a small utility for examining and tuning ethernet-based
network interfaces.  See the man page for more details.

%prep
%{?gpg_verify: xz -dk "%{S:0}"; %gpg_verify %{S:2}}
%setup -q

%build
export CFLAGS="%{optflags} -W -Wall -Wstrict-prototypes -Wformat-security -Wpointer-arith"
%configure
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"
#UsrMerge
mkdir -p %{buildroot}/sbin
ln -sf %{_sbindir}/ethtool %{buildroot}/sbin/
#EndUserMerge

%files
%defattr(-,root,root)
#UsrMerge
/sbin/ethtool
#EndUserMerge
%{_sbindir}/ethtool
%{_mandir}/man8/ethtool.8*
%doc AUTHORS COPYING NEWS

%changelog
* Tue Mar 15 2016 mkubecek@suse.cz
- upgrade to upstream version 4.5 (to match kernel, fate#320691)
- remove patches obsoleted by uprade:
  ethtool-Add-missing-Advertised-speeds.patch
  ethtool-copy.h-update-to-SLE12-SP1-Beta-3.patch
- minor specfile cleanup
* Tue Mar 15 2016 mkubecek@suse.cz
- ethtool-copy.h-update-to-SLE12-SP1-Beta-3.patch:
  update upstream reference
* Wed Sep 23 2015 mkubecek@suse.cz
- ethtool-copy.h-update-to-SLE12-SP1-Beta-3.patch:
  ethtool-Add-missing-Advertised-speeds.patch:
  Add missing advertised speeds (bsc#927309 bsc#945710)
* Thu Feb  6 2014 puzel@suse.com
- Drop ethtool-display-switch-port-attributes.patch (failed
  upstream acceptance and has to be reworked)
* Thu Dec  5 2013 puzel@suse.com
- Add '-q' command line option to display switch port attributes
  (bnc#853637, fate#315293)
- added patches:
  * ethtool-display-switch-port-attributes.patch
* Sun Nov 24 2013 p.drouand@gmail.com
- Update to version 3.12.1
  * Fix: Memory corruption when applying external calibration to
  SFF-8472 module diagnostics (-m option)
  * Feature: Add Intel 82599 and x540 DCB registers to dump
  (-d option)
- Changes from 3.12
  * Fix: Remove alternate method to check for VLAN tag offload on Linux
  < 2.6.37 (-k/-K options)
  * Fix: Hide state of VLAN tag offload and LRO if the kernel is too old
  for us to reliably detect them (-k option)
  * Feature: Add register dump support for Solarflare SFC9100 family
  (-d option)
- Changes from 3.11
  * Feature: Update Realtek chip list for register dump to match
  r8169 driver in Linux 3.11 (-d option)
  * Feature: Add ixgbevf support for register dump (-d option)
  * Feature: Filter ixgbe register dump according to the specific chip
  (-d option)
* Thu Jul  4 2013 jengelh@inai.de
- Update to new upstream release 3.10
  * Displaying of support for 10000BASE-KR link mode was implemented.
  * Support for new versions of ixgbe register dump was added.
  * The private flags print output was beautified.
- More robust make install call
- Optional signature verification
* Mon Apr 22 2013 puzel@suse.com
- Update to new upstream release 3.8
  * Feature: Allow setting destination MAC address in L3/L4 flow
    spec rules (-N/-U option)
  * Fix: Show full 64 bits of user-data (-n/-u option)
  * Fix: Add version check for et131x regs (-d option)
  * Doc: Improve description of -f, -t, -s, -N/-U, -W options in
    man page
  * Fix: Restore 20000baseKR2 cap display (no options)
* Mon Dec 17 2012 puzel@suse.com
- Update to new upstream release 3.7
  * Fix: Gracefully handle failure of register pretty-printer (-d
    option)
  * Feature: Add support for et131x registers (-d option)
  * Feature: Basic optical diagnostics for SFF-8472 modules (-m
    option)
* Mon Oct  8 2012 puzel@suse.com
- Update to new upstream release 3.6
  * Feature: Allow setting MDI-X state (-s option)
  * Fix: Preserve pause advertising bits when setting speed and
    duplex with autoneg on (-s option)
  * Fix: Don't call ioctl to set EEE parameters if they are the
    same as the current parameters (--set-eee option)
* Mon Aug  6 2012 puzel@suse.com
- Update to new upstream release 3.5
  * Display support for 1000BASE-KX and 10GBASE-KX4 link modes
  * Energy-Efficient Ethernet (EEE) configuration
    (--show-eee and --set-eee options)
  * Display support for 40G link modes
  * Fix: Don't trust drivers to null-terminate strings
* Sat Jun 16 2012 jengelh@inai.de
- Update to new upstream release 3.4.1
  * This release adds reporting of driver features ("-i")
  * reporting of supported pause frame modes and of 20G link modes
  * firmware dumps ("-w" and "-W")
  * external loopback tests ("-t")
  * reporting and configuring the number of channels/queues
  ("-l" and "-L") and time stamping capabilities ("-T")
  * reporting of pause frame autonegotiation results ("-a")
  * support for querying and setting all generic net device features
  ("-k" and "-K") and private flags
  * dumping of plugin module EEPROM ("-m")
* Wed May 16 2012 andreas.stieger@gmx.de
- Add xz build requirement to fix build for openSUSE 11.4
* Mon Feb 27 2012 puzel@suse.com
- update to ethtool-3.2
  * Feature: Add support for querying and setting private flags
    (--show-priv-flags, --set-priv-flags options)
  * Feature: Omit zero values in Solarflare register tables (-d
    option)
  * Feature: Allow driver to select RX NFC rule location (-U
    option)
  * Fix: Correct register dump offsets for Intel 82575 chipsets
    (-d option)
* Wed Feb  8 2012 rschweikert@suse.com
- keep binary in /usr tree (UsrMerge project)
* Tue Dec 13 2011 puzel@suse.com
- update to ethtool-3.1
  * Fix: Show all non-zero registers for tg3 (-d option)
  * Feature: Add support for external loopback test (-t option)
  * Fix: Show correct flow control registers for Intel 82599 (-d option)
  * Feature: Add support for reporting and configuring numbers of
    channels/queues (-l and -L options)
  * Feature: Report pause frame autonegotiation result (-a option)
  * Doc: Change device name metavariable from 'ethX' to 'devname'
  * Doc: Fix various layout problems
  * Cleanup: Reorganise and add test cases for argument parsing
  * Fix: Strictly check for extraneous or missing arguments; in
    particular, fail if the device name is missing
* Wed Dec  7 2011 cfarrell@suse.com
- license update: GPL-2.0
  sfc.c and stmmac.c have GPL-2.0 licenses
* Fri Dec  2 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Sun Sep 18 2011 jengelh@medozas.de
- Remove redundant/obsolete tags/sections from specfile
  (cf. packaging guidelines)
* Mon Aug  8 2011 puzel@novell.com
- update to ethtool-3.0
  * Feature: Report supported pause frame modes
  * Feature: Support firmware dump (-w and -W options)
  * Feature: Report advertised and supported 20G link modes
  * Feature: Add an 'l4data' option for ip4 filters (-U option)
  * Fix: Correct swapped h_source and h_dest fields for ether
    filters (-U option)
  * Fix: Set ip_ver field correctly for ip4 filters (-U option)
  * Fix: Correct parameter validation for -e and -E options; in
    particular, treat the 'magic' value as unsigned
  * Feature: Report some driver features (-i option)
  * Doc: Remove misleading 'Auto' advertising mask from manual page
  * Doc: Improve table formatting on manual page, using tbl
  * Doc: Remove initial blank page in printed manual page
  * Doc: Fix line-wrapping of options
  * Feature: Add support for ESP as a separate protocol from AH
    (-n, -N, -u and -U options)
  * Cleanup: Remove support for showing RX n-tuple settings
    (-u option), which was never implemented correctly in the kernel
  * Feature: Add support for RX network flow classifier (NFC)
    (-u and -U options)
  * Feature: Add support for e1000 M88 PHY registers (-d option)
  * Cleanup: Change bug-address to netdev
- use spec-cleaner
* Tue Mar 15 2011 bphilips@novell.com
- Update to ethtool-2.6.38
  * Doc: Fix spelling and spacing in online help
  * Doc: Update date, version and web site reference in manual page
  * Doc: Fix spelling, capitalisation, consistency and style in
    manual page
  * Doc: Generalise some references to network devices rather than
    Ethernet devices
  * Fix: Don't silently ignore speed/duplex when autoneg is on
  * Fix: Report an error (rather than full usage information) if
    given an unrecognised option
  * Feature: Add --version option
* Thu Nov 18 2010 puzel@novell.com
- update to ethtool-2.6.36
  * Fix: RX n-tuple masks and documentation
  * Feature: Ethernet-level RX n-tuple filtering and 'clear' action
  * Feature: stmmac register dump support
  * Feature: get permanent address (-P) option
  * Feature: VLAN acceleration control
  * Feature: sfc register dump support
  * Feature: improve cmd line parsing of ints, IPv4 addresses
  * Feature: support ethtool named flags, messaging types
  * Feature: minor man page fixes
  * Feature: control RX flow hash indirection
* Tue Jul 27 2010 puzel@novell.com
- update to ethtool-2.6.34
  * Feature: Support n-tuple filter programming
  * Feature: Support rx hashing, v2 (targetted for 2.6.35)
  * Feature: Add names of newer Marvell chips
  * new release numbering scheme, based
    on the latest upstream kernel interface supported.
  * Fix: several man page corrections
  * Feature: rx flow hash configuration
  * Feature: report 10000baseT support, where available
  * Feature: report MDI-X status, pause auto-neg, link partner
    adverts
  * Feature: support additional port types
  * Feature: support arbitrary speeds, faster than 65535 Mb
  * Feature: large and generic receive offload (LRO, GRO) support
  * Feature: option to flash firmware image from specified file
  * Feature: support for block writing of EEPROMs
  * Feature: marvell register dump update
  * Feature: at76c50x-usb, e1000e, igb, ixgbe, r8169 register
    dump support
  * Cleanup: remove support for RX hashing by port
  * Doc: Explicitly ship GPLv2 license
- drop all patches (fixed upstream)
* Mon Jul 12 2010 puzel@novell.com
- add get-set-gro-settings.patch (bnc#616263)
* Fri Jan  8 2010 jengelh@medozas.de
- enable parallel build
* Tue Dec  1 2009 mseben@novell.com
- add speed-parse.patch : fix parse of 10Gbe option (bnc#557016)
- add cmd-speed-display-all.patch Display all NIC speeds [FATE#305494]
* Tue Nov  4 2008 hvogel@suse.de
- Add support for LRO (Large Receive Offload) [bnc#440003]
* Fri Sep 12 2008 bphilips@suse.de
- Add support for larger speed field to do greater than 65535Mb/s devices
* Wed Dec 19 2007 mskibbe@suse.de
- Bug 285472 - network script does not work for /usr over NFS
* Fri Jul 27 2007 mskibbe@suse.de
- update to version 6 which includes:
  o updates for a lot of NICs
  o preparing for 10G NICs
  o a log Bugfixes
* Thu Apr 12 2007 lnussel@suse.de
- remove superfluous buffer overflow check patch
* Wed Sep  6 2006 mskibbe@suse.de
- fix bug #202756 - No Buffer Overflow check in Ethtool
* Mon Sep  4 2006 mskibbe@suse.de
- update to version 5 which includes:
  o Security: Avoid potential buffer overflow
  o Feature: GSO support
  o Feature: skge register dump
* Thu Aug 31 2006 mskibbe@suse.de
- update to version 4 which
  o includes UFO support
  o support long options
  o includes e1000, pcnet32, tg3 updates
  o added PPC4xx EMAC support
  o Use hexdump instead of single values for register dump
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 29 2005 hvogel@suse.de
- update to version 3
* Mon Aug 23 2004 mmj@suse.de
- Update to ethtool-2 which includes all our patches
* Thu Jun 24 2004 meissner@suse.de
- Added pcnet32 register dumping LTC#9592/SUSE#42408.
* Mon May 24 2004 meissner@suse.de
- return error value from test option LTC#7166/SUSE#40960.
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Tue Aug 26 2003 pthomas@suse.de
- Upgraded to 1.8
* Tue Aug 26 2003 pthomas@suse.de
- Remove the bogus rejection of devices whose names that do not begin
  with either 'eth' or 'usb'.
* Mon Jun  2 2003 pthomas@suse.de
- Add support for AMD-8111.
* Fri Feb  7 2003 meissner@suse.de
- Upgraded to current CVS, which has some e1000 fixes needed by IBM.
* Thu Feb  6 2003 meissner@suse.de
- Upgraded to 1.7:
* Mon Jun 24 2002 pthomas@suse.de
- Initial package creation.
- Fix most gcc warnings.
